Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Class ReplayPosition.ReplayPositionSerializer

    java.lang.Object
      org.apache.cassandra.db.commitlog.ReplayPosition.ReplayPositionSerializer

All Implemented Interfaces:
  ISerializer<ReplayPosition>

Enclosing class:
  ReplayPosition

    public static class ReplayPosition.ReplayPositionSerializer

extends java.lang.Object
implements ISerializer<ReplayPosition>

Constructor Summary
`ReplayPosition.ReplayPositionSerializer()`

Method Summary
`ReplayPosition` | `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` | `serialize(ReplayPosition rp, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`long` | `serializedSize(ReplayPosition object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplayPosition.ReplayPositionSerializer

    public ReplayPosition.ReplayPositionSerializer()

Method Detail

### serialize

    public void serialize(ReplayPosition rp,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Description copied from interface: `ISerializer`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ISerializer<ReplayPosition>`
  Parameters:
    `rp` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public ReplayPosition deserialize(java.io.DataInput dis)
                               throws java.io.IOException

  Description copied from interface: `ISerializer`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ISerializer<ReplayPosition>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(ReplayPosition object)

  Specified by:
    `serializedSize` in interface `ISerializer<ReplayPosition>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation